Stock value of a storage
https://carchost.fieldcontrol.com.br/storages-v2/{id}/total-valueAdds up the stock value of a storage, considering only non-archived products. An identifier that is not a storage of the account returns 0; a malformed identifier results in a 500 error. Requires the inventory control module.
Requires the
X-Api-KeyandUser-Agentheaders. Limit: 1 request per second (learn more).
Request
Path parameters
idstringrequiredStorage identifier.
Example: MWY5ZGE5YzgtZDY3MC00NWJhLTk0MGUtNzQxYjk3ODI0MzllOjIyOTE1.
Headers
User-AgentstringrequiredIdentification of your application.
Example: MinhaIntegracao/1.0.
Responses
- 200
Total value of the storage.
- 401
API key missing (
Missing API Key) or invalid (Invalid API Key). See Authentication. - 403
Account blocked (
Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication. - 422
Validation error. Account without the inventory control module: resourceNotAllowed.
resourceValidationErr→ - 429
Limit of 1 request per second exceeded. See Rate limit.
- 500
Unexpected server error.